Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.proxy.container
Class ContainerCache

    java.lang.Object
      org.jboss.aop.proxy.container.ContainerCache

public class ContainerCache
extends Object

Version:
  $Revision: 1.12 $
Author:
  Kabir Khan

Field Summary
`static Object` | `mapLock`

Constructor Summary
`ContainerCache(AspectManager manager, Class proxiedClass, Class[] interfaces, org.jboss.repository.spi.MetaDataContext metaDataContext)`

Method Summary
`Advisor` | `getAdvisor()`
`Advisor` | `getClassAdvisor()`
`InstanceProxyContainer` | `getInstanceContainer()`
`ContainerProxyCacheKey` | `getKey()`
`boolean` | `hasAspects()`
`static ContainerCache` | `initialise(AspectManager manager, Class proxiedClass, Class[] interfaces, org.jboss.repository.spi.MetaDataContext metaDataContext)`
`static ContainerCache` | `initialise(AspectManager manager, Class proxiedClass, org.jboss.repository.spi.MetaDataContext metaDataContext)`
`boolean` | `isAdvised()`
`boolean` | `requiresInstanceAdvisor()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mapLock

    public static final Object mapLock

Constructor Detail

### ContainerCache

    public ContainerCache(AspectManager manager,
                          Class proxiedClass,
                          Class[] interfaces,
                          org.jboss.repository.spi.MetaDataContext metaDataContext)

Method Detail

### initialise

    public static ContainerCache initialise(AspectManager manager,
                                            Class proxiedClass,
                                            org.jboss.repository.spi.MetaDataContext metaDataContext)

### initialise

    public static ContainerCache initialise(AspectManager manager,
                                            Class proxiedClass,
                                            Class[] interfaces,
                                            org.jboss.repository.spi.MetaDataContext metaDataContext)

### getKey

    public ContainerProxyCacheKey getKey()

### getAdvisor

    public Advisor getAdvisor()

### getClassAdvisor

    public Advisor getClassAdvisor()

### getInstanceContainer

    public InstanceProxyContainer getInstanceContainer()

### hasAspects

    public boolean hasAspects()

### requiresInstanceAdvisor

    public boolean requiresInstanceAdvisor()

### isAdvised

    public boolean isAdvised()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.